summaryrefslogtreecommitdiff
path: root/src/test
diff options
context:
space:
mode:
authorNick Mathewson <nickm@torproject.org>2017-12-05 08:30:26 -0500
committerNick Mathewson <nickm@torproject.org>2017-12-05 14:23:55 -0500
commit1969d573637ee6f9c539733db8405c72f0e2e4ab (patch)
treee5f39bebbf2ffaebbca3873babfb088528601280 /src/test
parenta798ba6e9bd5ef7fed89948ffa0e7334ceb1844e (diff)
downloadtor-1969d573637ee6f9c539733db8405c72f0e2e4ab.tar.gz
tor-1969d573637ee6f9c539733db8405c72f0e2e4ab.zip
Change our build process to run Cargo from inside the build tree
Instead of using the cwd to specify the location of Cargo.toml, we use the --manifest-path option to specify its location explicitly. This works around the bug that isis diagnosed on our jenkins builds.
Diffstat (limited to 'src/test')
-rwxr-xr-xsrc/test/test_rust.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/src/test/test_rust.sh b/src/test/test_rust.sh
index 8d7900e1df..133f2bb940 100755
--- a/src/test/test_rust.sh
+++ b/src/test/test_rust.sh
@@ -8,8 +8,12 @@ exitcode=0
set -e
for crate in $crates; do
- cd "${abs_top_srcdir:-.}/src/rust/${crate}"
- CARGO_TARGET_DIR="${abs_top_builddir:-../../..}/src/rust/target" CARGO_HOME="${abs_top_builddir:-../../..}/src/rust" "${CARGO:-cargo}" test ${CARGO_ONLINE-"--frozen"} || exitcode=1
+ cd "${abs_top_builddir:-../../..}/src/rust"
+ CARGO_TARGET_DIR="${abs_top_builddir:-../../..}/src/rust/target" \
+ CARGO_HOME="${abs_top_builddir:-../../..}/src/rust" \
+ "${CARGO:-cargo}" test ${CARGO_ONLINE-"--frozen"} \
+ --manifest-path "${abs_top_srcdir:-.}/src/rust/${crate}/Cargo.toml" \
+ || exitcode=1
cd -
done